%{!?upstream_version: %global upstream_version %{commit}}
%define upstream_name puppetlabs-vcsrepo
%global commit cd6c3bc87e59bd51191c08515a7807071b3bb7a3
%global shortcommit %(c=%{commit}; echo ${c:0:7})
# DO NOT REMOVE ALPHATAG
%global alphatag .%{shortcommit}git


Name:           puppet-vcsrepo
Version:        1.4.0
Release:        3%{?alphatag}%{?dist}
Summary:        Puppet module providing a type to manage repositories from various version control systems
License:        GPLv2

URL:            https://github.com/puppetlabs/puppetlabs-vcsrepo

Source0:        https://github.com/puppetlabs/%{upstream_name}/archive/%{commit}.tar.gz#/%{upstream_name}-%{shortcommit}.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=cd6c3bc87e59bd51191c08515a7807071b3bb7a3
#
Patch0001: 0001-Make-source-a-property-some-refactoring.patch
Patch0002: 0002-Better-handling-of-ensure-changes.patch
Patch0003: 0003-Adding-svn-provider-support-for-sparse-directories.patch
Patch0004: 0004-Update-modulesync_config-51f469d.patch
Patch0005: 0005-Update-README.patch
Patch0006: 0006-MODULES-3983-Update-parallel_tests-for-ruby-2.0.0.patch
Patch0007: 0007-mocha-version-update.patch
Patch0008: 0008-Fixes-to-git-provider-on-older-git-versions-where-gi.patch

BuildArch:      noarch

Requires:       puppet >= 2.7.0

%description
Puppet module providing a type to manage repositories from various version control systems

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/vcsrepo/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/vcsrepo/



%files
%{_datadir}/openstack-puppet/modules/vcsrepo/


%changelog
* Tue Jan 23 2018 Steve Linabery <slinaber@redhat.com> 1.4.0-3.1f6b443git
- Fixes to git provider on older git versions where git config --local param not supported. Update SVN provider to remove Includes option support from SVN versions < 1.7 and update tests and README to reflect this.
- mocha version update
- (MODULES-3983) Update parallel_tests for ruby 2.0.0
- Update README

* Wed Oct 19 2016 Jon Schlueter <jschluet@redhat.com> 1.4.0-2.cd6c3bcgit
- Update modulesync_config [51f469d]
- Adding svn provider support for sparse directories
- "Better" handling of :ensure changes
- Make :source a property, + some refactoring

* Thu Sep 22 2016 Haikel Guemar <hguemar@fedoraproject.org> - 1.4.0-1.cd6c3bc.git
- Newton update 1.4.0 (cd6c3bc87e59bd51191c08515a7807071b3bb7a3)


